%define		srcname	jdom
%include	/usr/lib/rpm/macros.java
Summary:	A Java representation of an XML document
Name:		java-%{srcname}
Version:	1.1.1
Release:	2
License:	BSD-Like
Group:		Libraries/Java
Source0:	http://www.jdom.org/dist/binary/%{srcname}-%{version}.tar.gz
# Source0-md5:	0ad116194e3101fb08fab8f6f00cc58f
URL:		http://www.jdom.org/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre
Obsoletes:	jdom
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JDOM is, quite simply, a Java representation of an XML document. JDOM
provides a way to represent that document for easy and efficient
reading, manipulation, and writing. It has a straightforward API, is a
lightweight and fast, and is optimized for the Java programmer. It's
an alternative to DOM and SAX, although it integrates well with both
DOM and SAX.

%description -l pl.UTF-8
JDOM jest biblioteką napisaną w Javie służącą do obróbki dokumentów
XML. JDOM jest reprezentacją danych pozwalającą w łatwy i efektywny
sposób odczytywać, przekształcać i zapisywać dokumenty XML. JDOM
posiada przejrzyste, lekkie i szyckie API, jest zoptymalizowane z
myślą o programiście Javy. Biblioteka JDOM jest alternatywą dla DOM i
SAX, jednak może być łatwo zintegrowana zarówno z DOM jak i SAX.

%package demo
Summary:	Demo for %{srcname}
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu %{srcname}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Obsoletes:	jdom-demo

%description demo
Demonstrations and samples for %{srcname}.

%description demo -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu %{srcname}.

%package javadoc
Summary:	%{srcname} documentation
Summary(pl.UTF-8):	Dokumentacja do %{srcname}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
%{srcname} documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%prep
%setup -q -n %{srcname}

find -name '*.jar' | xargs rm
find -name '*.class' | xargs rm

%build
%ant package %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/%{srcname}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -R build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc CHANGES.txt COMMITTERS.txt LICENSE.txt README.txt TODO.txt
%{_javadir}/*.jar

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-jdom.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 8ec6a22
- no epoch present

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 77b9262
- avoid self-obsoletes; drop old provides

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> a3a347d
- unified preamble in %changelog

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> e666066
- Up to 1.1.1

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 68a498f
- don't force specific jdk
- tabs in subpackage preamble

* Tue Mar 31 2009 pawelz <pawelz@pld-linux.org> 6563fe5
- rel 2

* Tue Mar 31 2009 pawelz <pawelz@pld-linux.org> a30c22d
- dropped BR: java-xerces

* Tue Mar 31 2009 pawelz <pawelz@pld-linux.org> 5671bfa
- P/O after changing name
- build javadoc
- simplified installation of demo
- remove binnaries provided with tarball

* Tue Mar 31 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> d0d1627
- added BR: java-xerces; rel 1

* Tue Mar 31 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> ab32477
- changed name to java-jdom (copied from jdom.spec)
- added bcond to build with java_sun

